<script setup lang="ts">
import { cn } from "@/lib/utils";

const props = defineProps<{
  class?: string;
  error?: boolean;
}>();
</script>

<template>
  <label
    :class="
      cn(
        'text-sm font-medium leading-none',
        error && 'text-destructive',
        props.class,
      )
    "
  >
    <slot />
  </label>
</template>
